Name:          rpm-ostree
Version:       2023.1
Release:       1mamba
Summary:       Hybrid image/package system with atomic upgrades and package layering
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://coreos.github.io/rpm-ostree
Source:        https://github.com/coreos/rpm-ostree.git/v%{version}/rpm-ostree-%{version}.tar.bz2
License:       GPL, LGPL, Apache License 2.0, MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libarchive-devel
BuildRequires: libcap-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgpgme-devel
BuildRequires: libjson-c-devel
BuildRequires: libjson-glib-devel
BuildRequires: libmodulemd-devel
BuildRequires: libopenssl-devel
BuildRequires: libostree-devel
BuildRequires: libpolkit-devel
BuildRequires: libpopt-devel
BuildRequires: librepo-devel
BuildRequires: librpm-devel
BuildRequires: libsolv-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsystemd-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Hybrid image/package system with atomic upgrades and package layering.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%preun
%systemd_preun rpm-ostreed.service
:

%post
%systemd_post  rpm-ostreed.service
:

%postun
%systemd_postun  rpm-ostreed.service
:

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_sysconfdir}/rpm-ostreed.conf
%{_bindir}/rpm-ostree
%{_unitdir}/rpm-ostree-bootstatus.service
%{_unitdir}/rpm-ostree-countme.service
%{_unitdir}/rpm-ostree-countme.timer
%{_unitdir}/rpm-ostreed-automatic.service
%{_unitdir}/rpm-ostreed-automatic.timer
%{_unitdir}/rpm-ostreed.service
%{_datadir}/dbus-1/interfaces/org.projectatomic.rpmostree1.xml
%{_datadir}/dbus-1/system-services/org.projectatomic.rpmostree1.service
%{_datadir}/dbus-1/system.d/org.projectatomic.rpmostree1.conf
%{_datadir}/polkit-1/actions/org.projectatomic.rpmostree1.policy
%{_datadir}/bash-completion/completions/rpm-ostree
%{_mandir}/man1/rpm-ostree.1*
%{_mandir}/man5/rpm-ostreed.conf.5*
%{_mandir}/man8/rpm-ostree*.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/librpmostree-1.so.*
%{_libdir}/girepository-1.0/RpmOstree-1.0.typelib
%{_libdir}/rpm-ostree/rpm-ostree-0-integration.conf
%dir %{_libexecdir}/libostree
%dir %{_libexecdir}/libostree/ext
%{_libexecdir}/libostree/ext/ostree-*
%{_libexecdir}/rpm-ostreed
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/rpm-ostree-1
%{_includedir}/rpm-ostree-1/rpmostree*.h
%{_libdir}/librpmostree-1.so
%{_datadir}/gir-1.0/RpmOstree-1.0.gir
%{_libdir}/pkgconfig/rpm-ostree-1.pc
%doc README.md

%changelog
* Sat Feb 18 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2023.1-1mamba
- package created using the webbuild interface
